git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: CloudStack master and 4.11.2 RC5 build issues


For the records, building on this setup (ubuntu 18.04) fails with Java 10 -
has to be v8...


On Mon, 19 Nov 2018 at 16:36, Andrija Panic <andrija.panic@xxxxxxxxx> wrote:

> works - compiled just fine !
>
> Thx Rohit, will make note for Ubuntu on the compile from soure page.
>
>
> On Mon, 19 Nov 2018 at 15:32, Andrija Panic <andrija.panic@xxxxxxxxx>
> wrote:
>
>> gmail is lagging with displaying emails or something...
>>
>> preliminary info - it works ! (at least no error yet)
>> Will keep you posted.
>>
>> If this works, I will update the install page.docs for ACS building
>>
>>
>>
>> Thx !
>>
>> On Mon, 19 Nov 2018 at 14:48, Rohit Yadav <rohit.yadav@xxxxxxxxxxxxx>
>> wrote:
>>
>>> Hi Andrija,
>>>
>>> Can you try to install this and see if it makes any difference : (note
>>> on 18.04 server you'll need to enable the universe deb repo which is no
>>> longer enabled by default)
>>>
>>> https://packages.ubuntu.com/bionic/python-mysql.connector
>>>
>>> Regards.
>>> ________________________________
>>> From: Andrija Panic <andrija.panic@xxxxxxxxx>
>>> Sent: Monday, November 19, 2018 6:10:14 PM
>>> To: dev
>>> Cc: Paul Angus
>>> Subject: Re: CloudStack master and 4.11.2 RC5 build issues
>>>
>>> Thx Rohit !
>>>
>>> Silly question - did you actually try to compile on clean Ubuntu 18.04 ?
>>> - solution works for surefire bug (thx!) - but interested in build on
>>> 18.04
>>> which fails for me.
>>>
>>> Problem:
>>> - default python version is 3 in Ubuntu 18.04,   python 2.7 not installed
>>> by default, but...
>>>
>>> - if installing latest connector for py3 (
>>>
>>> https://dev.mysql.com/get/Downloads/Connector-Python/mysql-connector-python-py3_8.0.13-1ubuntu18.04_all.deb
>>> )
>>> then later trying to build packages fails with missing python-setuptools
>>> (though v3 installed) and also still reports mysql-connector-python not
>>> installed
>>> - if I install python2.7 and the mysql-connector-python for p2.7 (
>>>
>>> https://dev.mysql.com/get/Downloads/Connector-Python/mysql-connector-python_8.0.13-1ubuntu18.04_all.deb
>>> )
>>> - then it still fails with same message "Unmet build dependencies:
>>> python-mysql.connector"
>>>
>>> Any thoughts, perhaps I'm doing something wrong? I didn't have issues
>>> building RC3-4 on Ubuntu 16 some weeks age... (never tried so far on
>>> 18.04)
>>>
>>> Andrija
>>>
>>>
>>> rohit.yadav@xxxxxxxxxxxxx
>>> www.shapeblue.com
>>> Amadeus House, Floral Street, London  WC2E 9DPUK
>>> @shapeblue
>>>
>>>
>>>
>>> On Mon, 19 Nov 2018 at 11:44, Rohit Yadav <rohit.yadav@xxxxxxxxxxxxx>
>>> wrote:
>>>
>>> > Wido and all,
>>> >
>>> >
>>> > I could replicate this error and found a fix. The issue affects mostly
>>> > debian users using jdk1.8 181+build. I could replicate this with
>>> oracle's
>>> > jdk8 as well.
>>> >
>>> >
>>> > The easiest workaround is to use this in mvn build command:
>>> > -Djdk.net.URLClassPath.disableClassPathURLCheck=true
>>> >
>>> >
>>> > You may find more details on surefire project bug:
>>> > https://issues.apache.org/jira/browse/SUREFIRE-1588
>>> >
>>> >
>>> > PR: https://github.com/apache/cloudstack/pull/3038/files
>>> >
>>> >
>>> > - Rohit
>>> >
>>> > <https://cloudstack.apache.org>
>>> >
>>> >
>>> >
>>> > ________________________________
>>> > From: Wido den Hollander <wido@xxxxxxxxx>
>>> > Sent: Monday, November 19, 2018 2:35:13 PM
>>> > To: Paul Angus; dev@xxxxxxxxxxxxxxxxxxxxx
>>> > Subject: Re: CloudStack master and 4.11.2 RC5 build issues
>>> >
>>> >
>>> >
>>> > On 11/19/18 10:03 AM, Paul Angus wrote:
>>> > > Wido, are you planning on building and testing RC5 today?  I'll hold
>>> off
>>> > on a result with my vote if you are.
>>> > >
>>> >
>>> > I am, but I can't seem to build RC5 and test it, so that would make it
>>> > hard to verify the release.
>>> >
>>> > Wido
>>> >
>>> > >
>>> > > Kind regards,
>>> > >
>>> > > Paul Angus
>>> > >
>>> > > paul.angus@xxxxxxxxxxxxx
>>> > > www.shapeblue.com<http://www.shapeblue.com>
>>> > > Amadeus House, Floral Street, London  WC2E 9DPUK
>>> > > @shapeblue
>>> > >
>>> > >
>>> > >
>>> > >
>>> > > -----Original Message-----
>>> > > From: Rohit Yadav <rohit.yadav@xxxxxxxxxxxxx>
>>> > > Sent: 19 November 2018 00:51
>>> > > To: dev@xxxxxxxxxxxxxxxxxxxxx
>>> > > Subject: Re: CloudStack master and 4.11.2 RC5 build issues
>>> > >
>>> > > Hi Wido,
>>> > >
>>> > > Can you share the output using jdk8 by running the mvn command with
>>> -e
>>> > and -X (you'll need to add that in some file in the debian directory or
>>> > sinply do a mvn based build with those flags)? Alternatively, you may
>>> also
>>> > skip tests using - DskipTests to get around the issue. Looks like it
>>> > started happening recently in 18.04 (I'm able to reproduce as well).
>>> > >
>>> > > Regards,
>>> > > Rohit Yadav
>>> > >
>>> > > ________________________________
>>> > > From: Wido den Hollander <wido@xxxxxxxxx>
>>> > > Sent: Monday, November 19, 2018 12:26:47 AM
>>> > > To: dev@xxxxxxxxxxxxxxxxxxxxx
>>> > > Subject: CloudStack master and 4.11.2 RC5 build issues
>>> > >
>>> > > Hi,
>>> > >
>>> > > Trying to build master using this command it fails:
>>> > >
>>> > > $ dpkg-buildpackage -us -uc -b
>>> > >
>>> > > I get this error:
>>> > >
>>> > > [INFO]
>>> > >
>>> ------------------------------------------------------------------------
>>> > > [INFO] BUILD FAILURE
>>> > > [INFO]
>>> > >
>>> ------------------------------------------------------------------------
>>> > > [INFO] Total time: 7.282 s
>>> > > [INFO] Finished at: 2018-11-18T19:55:10+01:00 [INFO] Final Memory:
>>> > 50M/174M [INFO]
>>> > >
>>> ------------------------------------------------------------------------
>>> > > [ERROR] Failed to execute goal
>>> > > org.apache.maven.plugins:maven-surefire-plugin:2.18.1:test
>>> > > (default-test) on project cloud-framework-managed-context: Execution
>>> > default-test of goal
>>> > org.apache.maven.plugins:maven-surefire-plugin:2.18.1:test failed: The
>>> > forked VM terminated without properly saying goodbye. VM crash or
>>> > System.exit called?
>>> > > [ERROR] Command was /bin/sh -c cd
>>> > >
>>> >
>>> /home/wido/Desktop/apache-cloudstack-4.11.2.0-src/framework/managed-context
>>> > > && /usr/lib/jvm/java-11-openjdk-amd64/bin/java
>>> > > -Djava.security.egd=file:/dev/./urandom -noverify -jar
>>> >
>>> /home/wido/Desktop/apache-cloudstack-4.11.2.0-src/framework/managed-context/target/surefire/surefirebooter4935588302032993476.jar
>>> > >
>>> >
>>> /home/wido/Desktop/apache-cloudstack-4.11.2.0-src/framework/managed-context/target/surefire/surefire7506593539939542941tmp
>>> > >
>>> >
>>> /home/wido/Desktop/apache-cloudstack-4.11.2.0-src/framework/managed-context/target/surefire/surefire_010482278773157415685tmp
>>> > > [ERROR] -> [Help 1]
>>> > >
>>> > > I tried both Java 8 and 11 JDK from Ubuntu 18.04, but in both cases
>>> it
>>> > fails.
>>> > >
>>> > > wido@wido-laptop:~$ java -version
>>> > > openjdk version "10.0.2" 2018-07-17
>>> > > OpenJDK Runtime Environment (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.3)
>>> > > OpenJDK 64-Bit Server VM (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.3,
>>> mixed
>>> > > mode)
>>> > > wido@wido-laptop:~$
>>> > >
>>> > > Have other people seen this?
>>> > >
>>> > > Wido
>>> > >
>>> > > rohit.yadav@xxxxxxxxxxxxx
>>> > > www.shapeblue.com<http://www.shapeblue.com>
>>> > > Amadeus House, Floral Street, London  WC2E 9DPUK @shapeblue
>>> > >
>>> > >
>>> > >
>>> >
>>> > rohit.yadav@xxxxxxxxxxxxx
>>> > www.shapeblue.com<http://www.shapeblue.com>
>>> > Amadeus House, Floral Street, London  WC2E 9DPUK
>>> > @shapeblue
>>> >
>>> >
>>> >
>>> >
>>>
>>> --
>>>
>>> Andrija Panić
>>>
>>
>>
>> --
>>
>> Andrija Panić
>>
>
>
> --
>
> Andrija Panić
>


-- 

Andrija Panić